<template lang="pug">
.row.justify-content-center.m-0.p-0
  template(v-for='(value, key) in stats')
    CardInfo.col-12.col-md-3(:title='key' :titleCapitalized='true'
    :value='value' :asByteSize='key === "transferred" || key === "rate"'
    :suffix='key === "rate" ? "/s" : null')
  .col-12.m-0.p-0
    BaseLineChart(ref='rateChart' :maxData="AvgWindowMinutes * 60"
      xAxis='timestamp' :yAxis="{ rate: 'rate', rateAvg: 'rate average last 15 min' }"
      :smooth="false" :xyTips="false" :isTimestamp="true" :data="buffer")
</template>

<script>

export { default } from './RFMStats.vue.js';

</script>
